BfsWizardBase< GR > Class Template Reference

- Main Page
- Modules
- Classes
- Namespaces
- Files
- Related Pages

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
List of all members | Public Member Functions
BfsWizardBase< GR > Class Template Reference

## Detailed Description

### template<class GR>
class lemon::BfsWizardBase< GR >

Default traits class used by BfsWizard.

Template Parameters

  GR | The type of the digraph.

`#include <lemon/bfs.h>`

Inheritance diagram for BfsWizardBase< GR >:
[legend]

## Public Member Functions
| BfsWizardBase ()
| Constructor. More...
| BfsWizardBase (const GR &g)
| Constructor. More...

## Additional Inherited Members
Public Types inherited from BfsWizardDefaultTraits< GR >
typedef GR | Digraph
| The type of the digraph the algorithm runs on.
typedef Digraph::template NodeMap< typename Digraph::Arc > | PredMap
| The type of the map that stores the predecessor arcs of the shortest paths. More...
typedef NullMap< typename Digraph::Node, bool > | ProcessedMap
| The type of the map that indicates which nodes are processed. More...
typedef Digraph::template NodeMap< bool > | ReachedMap
| The type of the map that indicates which nodes are reached. More...
typedef Digraph::template NodeMap< int > | DistMap
| The type of the map that stores the distances of the nodes. More...
typedef lemon::Path< Digraph > | Path
| The type of the shortest paths. More...
Static Public Member Functions inherited from BfsWizardDefaultTraits< GR >
static PredMap * | createPredMap (const Digraph &g)
| Instantiates a PredMap. More...
static ProcessedMap * | createProcessedMap (const Digraph &g)
| Instantiates a ProcessedMap. More...
static ReachedMap * | createReachedMap (const Digraph &g)
| Instantiates a ReachedMap. More...
static DistMap * | createDistMap (const Digraph &g)
| Instantiates a DistMap. More...

## Constructor & Destructor Documentation

BfsWizardBase | ( |  | ) |
| inline

This constructor does not require parameters, it initiates all of the attributes to `0`.

BfsWizardBase | ( | const GR & | g | ) |
| inline

This constructor requires one parameter, others are initiated to `0`.

Parameters

  g | The digraph the algorithm runs on.